import { Placement, VirtualElement } from '@popperjs/core';
import React, { CSSProperties, FC } from 'react';
interface IOverlayProps {
    onClick: (ev: React.MouseEvent) => void;
}
export declare const Overlay: FC<IOverlayProps>;
interface IDialogBodyProps {
    style?: CSSProperties;
    attributes?: {
        [key: string]: string;
    };
}
export declare const DialogBody: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement> & IDialogBodyProps, "ref"> & React.RefAttributes<any>>;
interface IDialogProps {
    isOpen: boolean;
    onClose?: () => void;
    referenceElement: Element | VirtualElement | null | undefined;
    placement?: Placement;
}
export declare const Dialog: FC<IDialogProps>;
export {};
